import { select } from 'd3';
import { viz } from './viz';
import { data } from '@curran/penguins';

export const main = (container) => {
  const width = container.clientWidth;
  const height = container.clientHeight;
  const margin = {
    top: 30,
    left: 50,
    bottom: 50,
    right: 30,
  };

  const svg = select(container)
    .selectAll('svg')
    .join('svg')
    .attr('width', width)
    .attr('height', height)
    .call(viz, {
      margin,
      width,
      height,
      data,
      xValue: (d) => d.bill_length_mm,
      yValue: (d) => d.bill_depth_mm,
      xAxisLabel: 'Bill Length (mm)',
      yAxisLabel: 'Bill Depth (mm)',
    });
};
