export const scatterPlot = (selection, options) => {
  const { data, xScale, yScale, xValue, yValue } = options;

  const marks = data.map((d) => ({
    x: xScale(xValue(d)),
    y: yScale(yValue(d)),
  }));

  selection
    .selectAll('circle.mark')
    .data(marks)
    .join('circle')
    .attr('class', 'mark')
    .attr('cx', (d) => d.x)
    .attr('cy', (d) => d.y)
    .attr('r', (d) => 10)
    // .attr('fill', (d) => d.fill)
    .attr('opacity', 0.7);
};
